package com.ibiz.core.module2.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.io.Serializable;

/**
 * 实体[HEALTHCHECK]
 */
public class Healthcheck implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * HEALTHCHECKID
     */
    private String healthcheckid;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean healthcheckidDirtyFlag;


    /**
     * 获取 [HEALTHCHECKID]
     */
    @JsonProperty("healthcheckid")
    @JSONField(name="healthcheckid")
    public String getHealthcheckid(){
        return this.healthcheckid ;
    }

    /**
     * 设置 [HEALTHCHECKID]
     */
    @JsonProperty("healthcheckid")
    @JSONField(name="healthcheckid")
    public void setHealthcheckid(String healthcheckid){
        this.healthcheckid = healthcheckid ;
        this.healthcheckidDirtyFlag = true ;
    }

    /**
     * 获取 [HEALTHCHECKID]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getHealthcheckidDirtyFlag(){
        return this.healthcheckidDirtyFlag ;
    }

}

